#!/usr/bin/env node
/* eslint-disable no-console */

const {setUpShopifyDev} = require('../dist/generate-docs/src/setupDocs');
const {
  parseArguments,
} = require('../dist/generate-docs/src/utilities/parseArguments');

const argsObj = parseArguments(process.argv.slice(2), true);

if (argsObj.help || argsObj.h) {
  const usageText = `
    set-up-config sets up the configuration inside Shopify-dev.

    usage:
      set-up-config <options>

      options:

      --name:          used to specify input directory of files to parse
        type:          string

      --help:          displays this message
    `;
  console.log(usageText);
} else {
  setUpShopifyDev(argsObj.name);
}
