"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTypesToDefinitions = void 0;
const getRelevantTypes_1 = require("../../../../type-harvester/src/getRelevantTypes");
const addTypesToDefinitions = (definitions, typeAST) => definitions.map((definition) => ({
    title: definition.title,
    description: definition.description,
    type: definition.type,
    typeDefinitions: (0, getRelevantTypes_1.getRelevantTypes)(typeAST, definition.type, definition.filePath ?? ''),
}));
exports.addTypesToDefinitions = addTypesToDefinitions;
