"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDescriptionFromType = void 0;
const getRelevantTypes_1 = require("../../../../type-harvester/src/getRelevantTypes");
const addDescriptionFromType = (doc, typeMap) => {
    if (doc.descriptionType && typeMap) {
        doc.description =
            (0, getRelevantTypes_1.getRelevantTypes)(typeMap, doc.descriptionType, '')[doc.descriptionType]
                ?.description ?? doc.description;
        delete doc.descriptionType;
    }
};
exports.addDescriptionFromType = addDescriptionFromType;
