"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepMergeOneLevel = void 0;
const deepMergeOneLevel = (one, two) => {
    const allKeys = [...Object.keys(one), ...Object.keys(two)];
    return allKeys.reduce((acc, typeName) => two[typeName] && one[typeName]
        ? { ...acc, [typeName]: { ...one[typeName], ...two[typeName] } }
        : { ...acc, [typeName]: one[typeName] ? one[typeName] : two[typeName] }, {});
};
exports.deepMergeOneLevel = deepMergeOneLevel;
