"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSymbolComment = void 0;
function getSymbolComment(symbol, checker) {
    return symbol
        .getDocumentationComment(checker)
        .map((comment) => comment.kind === 'text'
        ? comment.text.replace(/(?<=(^[^|\s].+))\n(?!(\n|- ))/gm, ' ')
        : '')
        .join('\n');
}
exports.getSymbolComment = getSymbolComment;
