"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCodeblockToExamples = void 0;
const createCodeTabs_1 = require("./createCodeTabs");
const addCodeblockToExamples = (examples, filePath, rawCode = false) => examples.map((example) => {
    const tabs = (0, createCodeTabs_1.createCodeTabs)(example.codeblock, filePath, rawCode);
    return { ...example, codeblock: { ...example.codeblock, tabs } };
});
exports.addCodeblockToExamples = addCodeblockToExamples;
