"use strict";
/* eslint-disable @typescript-eslint/naming-convention */
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildConfig = void 0;
const buildConfig = (name) => ({
    name,
    beta_flag: `${name.toLowerCase().replace(/-/g, '_')}_reference_flag`,
    github_teams: '',
    vault_team_url: '',
    sidebar_order: [],
    version_scheme: '',
    github_automation: {
        enabled: false,
        repo: '',
        branches: [],
        generated_files_path: '',
        screenshots_path: '',
        package_manager_path: '',
        package_manager_version_regex: '',
    },
});
exports.buildConfig = buildConfig;
